## org.biojava.bio.seq.io
Class StreamWriter

    java.lang.Object
      |
      +--org.biojava.bio.seq.io.StreamWriter

public class StreamWriter
extends java.lang.Object

Writes all of the sequences from a SequenceIterator to a stream with a particular format.

This can be wired from a StreamReader to make a simple file-format conversion utility, or can be used to write out the sequences in a database to disk.

Author:
  Matthew Pocock

Constructor Summary
`StreamWriter(java.io.OutputStream os, SequenceFormat format)` Generate a new StreamWriter to the stream os and using format.

Method Summary
`void` `writeStream(SequenceIterator ss)` Write each of the sequences in ss to the stream in the given format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamWriter

    public StreamWriter(java.io.OutputStream os,
                        SequenceFormat format)

  Generate a new StreamWriter to the stream os and using format.
  Parameters:
    `os` - the OutputStream to write to
    `format` - the SequenceFormat to write with

Method Detail

### writeStream

    public void writeStream(SequenceIterator ss)
                     throws java.io.IOException

  Write each of the sequences in ss to the stream in the given format.
  Parameters:
    `ss` - the SequenceIterator to loop over
  Throws:
    java.io.IOException - if the stream has any problems